Create / update a product

Upserts by referenceId. Omit batch for a single object. Supply ?batch=true and an array for batch upserts; any non-empty batch value enables batch mode, including false. Use batches of about 100 products. Inspect errors and retryable even when the response is 201. Duplicate referenceIds in one batch return 422. Requires one of stores:products:create, stores:products:full, for the store account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Store owned by the account in the access token.

Query Params
string

Omit for a single product. Set to true for an array of products. Any non-empty value, including false, enables batch mode.

Body Params
string

The Product Brand, Manufacturer or Vendor.

string

Product category. Can be any value and may be used by Extend to map the product to warranty plans.

subCategories
array

An array of additional product categories.

subCategories
string
length ≤ 2000

The product description.

string
itemDimensions
object
itemWeight
object
string
enum
Allowed:
string

A url pointing to the primary image for the product.

price
object
string
required
length between 1 and 255

Product name.

string
required

Unique product identifier, such as a SKU or variant ID. URL-encode it when using an item endpoint.

string

Parent product referenceId for a variant.

reimbursementAmount
object
identifiers
object
mfrWarranty
object

Optional manufacturer warranty details used for warranty matching.

boolean

Whether the item is physically shipped. Defaults to true. Digital goods and services are ineligible for shipping protection.

alternateLanguages
object
unitCost
object
boolean

Accepted for compatibility, but ignored in merchant requests.

plans
array of strings

Accepted for compatibility, but ignored in merchant requests.

plans
string
enum

Accepted for compatibility, but ignored in merchant requests.

Allowed:
boolean

Accepted for compatibility, but ignored in merchant requests.

settings
object

Accepted for compatibility, but ignored in merchant requests.

string

Accepted for compatibility, but ignored in merchant requests.

string

Accepted for compatibility, but ignored in merchant requests.

boolean

Accepted for compatibility, but ignored in merchant requests.

number

Accepted for compatibility, but ignored in merchant requests.

string
enum

Accepted for compatibility, but ignored in merchant requests.

Allowed:
string

Accepted for compatibility, but ignored in merchant requests.

string

Accepted for compatibility, but ignored in merchant requests.

boolean

Accepted for compatibility, but ignored in merchant requests.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json